Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Ruby interface for Monit
Ruby
Tree: 7ac7676c0f

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
lib
spec
.gitignore
.travis.yml
Gemfile
Gemfile.lock
LICENSE
README.md
Rakefile
monit.gemspec

README.md

Monit Rubygem

A Ruby interface for Monit.

Installation

Just like any other gem:

gem install monit

Usage

status = Monit::Status.new({ :host => "monit.myserver.com", 
                             :auth => true, 
                             :username => "foo", 
                             :password => "bar" })
status.get              # => true
status.platform         # => <Monit::Platform:0x00000003673dd0 ... >
status.platform.cpu     # => 2
status.platform.memory  # => 4057712

For more options see the API documentation

Compatibility and Build Status

Build Status

The gem is only compatible with Ruby 1.8.7 and above, including JRuby 1.6+. For the build status, check Travis CI.

License and copyright

Copyright (c) 2010 - 2012 Matias Korhonen

Licensed under the MIT license, see the LICENSE file for details.

Something went wrong with that request. Please try again.